

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Requirements &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Architecture Overview" href="overview.html" />
    <link rel="prev" title="Motivating Use Cases" href="use-cases.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="index.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Requirements</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#functional-requirements">Functional Requirements</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#fr1-autorisation-and-usage-control">FR1: Autorisation and Usage Control</a></li>
<li class="toctree-l3"><a class="reference internal" href="#fr2-trusted-relationship-management">FR2: Trusted Relationship Management</a></li>
<li class="toctree-l3"><a class="reference internal" href="#fr3-federated-identity-management">FR3: Federated Identity Management</a></li>
<li class="toctree-l3"><a class="reference internal" href="#fr4-choosable-geography-and-legislation">FR4: Choosable Geography and Legislation</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#non-functional-requirements">Non-Functional Requirements</a></li>
<li class="toctree-l2"><a class="reference internal" href="#business-requirements">Business Requirements</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#br1-data-custodianship">BR1: Data Custodianship</a></li>
<li class="toctree-l3"><a class="reference internal" href="#br2-algorithms-for-data-monetisation">BR2: Algorithms for Data Monetisation</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#architecturally-significant-requirements">Architecturally Significant Requirements</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#ar1-openness">AR1: Openness</a></li>
<li class="toctree-l3"><a class="reference internal" href="#ar2-hybrid-cloud-scenario">AR2: Hybrid Cloud Scenario</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#compliance-requirements">Compliance Requirements</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#cr1-unified-protection-level-definitions">CR1: Unified Protection Level Definitions</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concept Definitions</a></li>
<li class="toctree-l1"><a class="reference internal" href="organization-viewpoint.html">Organizational Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="platform-viewpoint.html">Platform Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="service-viewpoint.html">Service Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="specification.html">Technical Specification</a></li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Requirements</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/requirements.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="requirements">
<h1>Requirements<a class="headerlink" href="#requirements" title="Permalink to this headline">¶</a></h1>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Products and Services Board</p>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>This chapter enumerates the different requirements that the Gaia-X
architecture needs to address. The design decisions in the later chapters are
made in response to the requirements.</p>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>What makes a good requirement?</strong></p>
<p>The list is taken off Wikipedia: <a class="reference external" href="https://en.wikipedia.org/wiki/Requirement">https://en.wikipedia.org/wiki/Requirement</a></p>
<dl class="simple">
<dt>Unitary (Cohesive)</dt><dd><p>The requirement addresses one and only one thing.</p>
</dd>
<dt>Complete</dt><dd><p>The requirement is fully stated in one place with no missing information.</p>
</dd>
<dt>Consistent</dt><dd><p>The requirement does not contradict any other requirement and is fully
consistent with all authoritative external documentation.</p>
</dd>
<dt>Non-Conjugated (Atomic)</dt><dd><p>The requirement is atomic, i.e., it does not contain conjunctions. E.g.,
“The postal code field must validate American and Canadian postal codes”
should be written as two separate requirements: (1) “The postal code
field must validate American postal codes” and (2) “The postal code field
must validate Canadian postal codes”.</p>
</dd>
<dt>Traceable</dt><dd><p>The requirement meets all or part of a business need as stated by
stakeholders and authoritatively documented.</p>
</dd>
<dt>Current</dt><dd><p>The requirement has not been made obsolete by the passage of time.</p>
</dd>
<dt>Unambiguous</dt><dd><p>The requirement is concisely stated without recourse to technical jargon,
acronyms (unless defined elsewhere in the Requirements document), or
other esoteric verbiage. It expresses objective facts, not subjective
opinions. It is subject to one and only one interpretation. Vague
subjects, adjectives, prepositions, verbs and subjective phrases are
avoided. Negative statements and compound statements are avoided.</p>
</dd>
<dt>Specify Importance</dt><dd><p>Many requirements represent a stakeholder-defined characteristic the
absence of which will result in a major or even fatal deficiency. Others
represent features that may be implemented if time and budget permits.
The requirement must specify a level of importance.</p>
</dd>
<dt>Verifiable</dt><dd><p>The implementation of the requirement can be determined through basic
possible methods: inspection, demonstration, test (instrumented) or
analysis (to include validated modeling &amp; simulation).</p>
</dd>
</dl>
</div>
<div class="section" id="functional-requirements">
<h2>Functional Requirements<a class="headerlink" href="#functional-requirements" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Section Rationale</strong></p>
<p>This section describes requirements with respect to the features
of/enabled/supported by the Gaia-X platform.</p>
</div>
<div class="section" id="fr1-autorisation-and-usage-control">
<h3>FR1: Autorisation and Usage Control<a class="headerlink" href="#fr1-autorisation-and-usage-control" title="Permalink to this headline">¶</a></h3>
<p>by the data owner.</p>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
<div class="section" id="fr2-trusted-relationship-management">
<h3>FR2: Trusted Relationship Management<a class="headerlink" href="#fr2-trusted-relationship-management" title="Permalink to this headline">¶</a></h3>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
<div class="section" id="fr3-federated-identity-management">
<h3>FR3: Federated Identity Management<a class="headerlink" href="#fr3-federated-identity-management" title="Permalink to this headline">¶</a></h3>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
<div class="section" id="fr4-choosable-geography-and-legislation">
<h3>FR4: Choosable Geography and Legislation<a class="headerlink" href="#fr4-choosable-geography-and-legislation" title="Permalink to this headline">¶</a></h3>
<p>for data storage and service offerings (local / central).</p>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
</div>
<div class="section" id="non-functional-requirements">
<h2>Non-Functional Requirements<a class="headerlink" href="#non-functional-requirements" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Section Rationale</strong></p>
<p>This section describes quality-of-service and usability requirements.</p>
</div>
</div>
<div class="section" id="business-requirements">
<h2>Business Requirements<a class="headerlink" href="#business-requirements" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Section Rationale</strong></p>
<p>This section describes requirements from the business perspective of the
Gaia-X overall platform operator as well as the providers of services. An
example for this is automatic billing.</p>
</div>
<div class="section" id="br1-data-custodianship">
<h3>BR1: Data Custodianship<a class="headerlink" href="#br1-data-custodianship" title="Permalink to this headline">¶</a></h3>
<p>as a business principle</p>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
<div class="section" id="br2-algorithms-for-data-monetisation">
<h3>BR2: Algorithms for Data Monetisation<a class="headerlink" href="#br2-algorithms-for-data-monetisation" title="Permalink to this headline">¶</a></h3>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
</div>
<div class="section" id="architecturally-significant-requirements">
<h2>Architecturally Significant Requirements<a class="headerlink" href="#architecturally-significant-requirements" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Section Rationale</strong></p>
<p>This section describes requirements with an impact on the high-level
architecture of Gaia-X. For example that different cloud infrastructure
providers can be integrated.</p>
</div>
<div class="section" id="ar1-openness">
<h3>AR1: Openness<a class="headerlink" href="#ar1-openness" title="Permalink to this headline">¶</a></h3>
<p>for the adaptation of all market participants and -systems.</p>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
<div class="section" id="ar2-hybrid-cloud-scenario">
<h3>AR2: Hybrid Cloud Scenario<a class="headerlink" href="#ar2-hybrid-cloud-scenario" title="Permalink to this headline">¶</a></h3>
<p>by the distributed implementation (horizontal and vertical) across many vendors.</p>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
</div>
<div class="section" id="compliance-requirements">
<h2>Compliance Requirements<a class="headerlink" href="#compliance-requirements" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Section Rationale</strong></p>
<p>This section describes which assurances the platform needs to make to achieve
desired levels of certification. The approach can be modular where parts of
the platform have/support different certifications.</p>
</div>
<div class="section" id="cr1-unified-protection-level-definitions">
<h3>CR1: Unified Protection Level Definitions<a class="headerlink" href="#cr1-unified-protection-level-definitions" title="Permalink to this headline">¶</a></h3>
<p>for data and services of all participants.</p>
<p><strong>This requirement was communicated by Workstream 1</strong></p>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="overview.html" class="btn btn-neutral float-right" title="Architecture Overview" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="use-cases.html" class="btn btn-neutral float-left" title="Motivating Use Cases" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>